YAxis (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Class YAxis

- java.lang.Object
- - com.twosigma.beakerx.chart.xychart.plotitem.YAxis

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class YAxis
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  YAxis
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `YAxis()`
    `YAxis(double lowerMargin, double upperMargin)`
    `YAxis(java.lang.String label)`
    `YAxis(java.lang.String label, double lowerMargin, double upperMargin)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.Boolean` | `getAutoRange()`
    `java.lang.Boolean` | `getAutoRangeIncludesZero()`
    `java.lang.String` | `getLabel()`
    `java.lang.Boolean` | `getLog()`
    `java.lang.Double` | `getLogBase()`
    `java.lang.Double` | `getLowerBound()`
    `java.lang.Double` | `getLowerMargin()`
    `java.lang.Double` | `getUpperBound()`
    `java.lang.Double` | `getUpperMargin()`
    `void` | `setAutoRange(boolean autoRange)`
    `void` | `setAutoRangeIncludesZero(boolean autoRangeIncludesZero)`
    `void` | `setBound(double lower, double upper)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setLog(boolean log)`
    `void` | `setLogBase(double logBase)`
    `void` | `setLowerMargin(double margin)`
    `void` | `setUpperMargin(double margin)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YAxis

          public YAxis()

    - #### YAxis

          public YAxis(java.lang.String label)

    - #### YAxis

          public YAxis(double lowerMargin,
                       double upperMargin)

    - #### YAxis

          public YAxis(java.lang.String label,
                       double lowerMargin,
                       double upperMargin)

  - ### Method Detail

    - #### setLabel

          public void setLabel(java.lang.String label)

    - #### getLabel

          public java.lang.String getLabel()

    - #### setAutoRange

          public void setAutoRange(boolean autoRange)

    - #### getAutoRange

          public java.lang.Boolean getAutoRange()

    - #### setAutoRangeIncludesZero

          public void setAutoRangeIncludesZero(boolean autoRangeIncludesZero)

    - #### getAutoRangeIncludesZero

          public java.lang.Boolean getAutoRangeIncludesZero()

    - #### setUpperMargin

          public void setUpperMargin(double margin)

    - #### getUpperMargin

          public java.lang.Double getUpperMargin()

    - #### setLowerMargin

          public void setLowerMargin(double margin)

    - #### getLowerMargin

          public java.lang.Double getLowerMargin()

    - #### setBound

          public void setBound(double lower,
                               double upper)

    - #### getLowerBound

          public java.lang.Double getLowerBound()

    - #### getUpperBound

          public java.lang.Double getUpperBound()

    - #### setLog

          public void setLog(boolean log)

    - #### getLog

          public java.lang.Boolean getLog()

    - #### setLogBase

          public void setLogBase(double logBase)

    - #### getLogBase

          public java.lang.Double getLogBase()

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`